System.ServiceModel 4.0.0.0 ReferenceTypeConstraint System.ServiceModel.Channels.IChannel System.ServiceModel.Channels.ChannelListenerBase System.ServiceModel.Channels.IChannelListener<TChannel> To be added.

The channel listeners on a service wait for and then accept the channels created by factories on the client. Once the channel connection is established between client and service, they can communicate by exchanging messages

Provides a common base implementation for channel listeners on a service to accept channels produced by the client factories.

- Constructor
  4.0.0.0

  The default constructor initializes timeout properties with the service model timeout values when exchanging messages. The default value is 1 minute for open, send, and close operations and 10 minutes for the receive operation. Use if you want to specify other values for these operation timeouts.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0

  Use instead of the default constructor if you want to specify custom values for the open, send, receive, and close operation timeouts instead of using the service model default values.

  Initializes a new instance of the class with specified default communication timeouts.

  The that specify the default timeouts for open, send, receive, and close operations when exchanging messages.
- Method
  4.0.0.0
  TChannel To be added.

  Accepts a channel of the type specified by the current channel listener.

  The accepted by the listener.

- Method
  4.0.0.0
  TChannel `` To be added.

  Accepts a channel of the type specified by the current channel listener within a specified interval of time.

  The accepted by the listener.

  The that specifies how long the accept channel operation has to complete before timing out.
- Method
  4.0.0.0
  System.IAsyncResult `` `` To be added. To be added.

  Begins an asynchronous operation to accept a channel of the type specified by the current channel listener.

  The that references the asynchronous accept channel operation.

  The that specifies how long the accept channel operation has to complete before timing out.
- Method
  4.0.0.0
  System.IAsyncResult `` `` `` To be added. To be added.

  When implemented in a derived class, begins an asynchronous operation to accept a channel of the type specified by the current channel listener within a specified interval of time.

  The that references the asynchronous accept channel operation.

  The that specifies how long the accept channel operation has to complete before timing out. The delegate that receives the notification of the asynchronous completion of the accept channel operation.
- Method
  4.0.0.0
  TChannel `` To be added.

  When implemented in a derived class, completes an asynchronous operation to accept a channel.

  The accepted by the listener.

  The returned by a call to the method.
- Method
  4.0.0.0
  TChannel `` To be added.

  When implemented in a derived class, provides an extensibility point when accepting a channel.

  The accepted.

  The that specifies how long the accept channel operation has to complete before timing out.
- Method
  4.0.0.0
  System.IAsyncResult `` `` `` To be added. To be added.

  When implemented in a derived class, provides an asynchronous extensibility point when beginning to accept a channel.

  The that references the asynchronous accept channel operation.

  The that specifies how long the accept channel operation has to complete before timing out. The delegate that receives the notification of the asynchronous completion of the accept channel operation.
- Method
  4.0.0.0
  TChannel `` To be added.

  When implemented in a derived class, provides an asynchronous extensibility point when completing the acceptance a channel.

  The accepted by the listener.

  The returned by a call to the method.